/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';
@use 'shop/resources/scss/base/mixins/typography';

.content {
    background-color: colors.$color-white;
    box-shadow: colors.$color-white 0 0 38px -10px, colors.$color-black 0 0 35px -15px;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 70%;
    max-width: 380px;
    will-change: transform;
    z-index: 99999;

    &:focus {
        outline: none;
    }

    &[data-state='open'] {
        animation: slideIn 150ms cubic-bezier(0.22, 1, 0.36, 1);
    }

    &[data-state='closed'] {
        animation: slideOut 150ms cubic-bezier(0.22, 1, 0.36, 1);
    }
}

.overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    &[data-state='open'] {
        animation: fadeIn 150ms cubic-bezier(0.22, 1, 0.36, 1);
    }

    &[data-state='closed'] {
        animation: fadeOut 150ms cubic-bezier(0.22, 1, 0.36, 1);
    }
}

.title {
    @include typography.font(medium);
    font-weight: 500;
    padding: 0 15px;
    margin: 12px 0;
    color: colors.$color-text;
}

.close {
    position: absolute;
    top: 8px;
    right: 10px;
    z-index: 2;
    padding: 2px;
}

@keyframes slideIn {
    from {
        transform: translate3d(-100%, 0, 0);
    }
    to {
        transform: translate3d(0, 0, 0);
    }
}

@keyframes slideOut {
    from {
        transform: translate3d(0, 0, 0);
    }
    to {
        transform: translate3d(-100%, 0, 0);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}
